interface TagStatus {
  selected: boolean;
  highlighted: boolean;
}

interface TagFormatDefinition {}

interface TagCategoryDefinitions {
  [key: string]: TagFormatDefinition;
}

interface TagActivityDefinitions {
  [key: string]: TagCategoryDefinitions;
}

interface TagDefinitions {
  [key: string]: TagActivityDefinitions;
}

export const getTagStatus = (
  tag: string,
  definitions: TagDefinitions,
  selectedKey: string,
  highlightedKey: string
) => {
  let status: TagStatus = {
    selected: false,
    highlighted: false,
  };
  return status;
};
