import { afterEach, beforeEach, describe, expect, it, vi } from 'vitest';
import { getTagStatus } from './tags';

describe('The getTagStatus function', () => {
  it('should return false/false for a tag that does NOT exist', () => {
    expect(getTagStatus('whatever', {}, '', '')).toEqual({
      selected: false,
      highlighted: false,
    });
  });
});
